List an event's ticket types
Every ticket type on the event, on sale or not, in order, with the places held and left. Needs read on Events.
GET
https://{organization}.rescueconsole.com
/
api
/
events
/
events
/
{id}
/
ticket-types
List an event's ticket types
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/events/{id}/ticket-types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}/ticket-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}/ticket-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"name": "<string>",
"description": "<string>",
"price_cents": 500000,
"fair_market_value_cents": 1,
"capacity": 50000,
"max_per_order": 10,
"access": "public",
"member_tag": "<string>",
"is_active": true,
"id": "<string>",
"event_id": "<string>",
"sort_order": 123,
"held": 123,
"remaining": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List an event's ticket types
curl --request GET \
--url https://{organization}.rescueconsole.com/api/events/events/{id}/ticket-types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}/ticket-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}/ticket-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"name": "<string>",
"description": "<string>",
"price_cents": 500000,
"fair_market_value_cents": 1,
"capacity": 50000,
"max_per_order": 10,
"access": "public",
"member_tag": "<string>",
"is_active": true,
"id": "<string>",
"event_id": "<string>",
"sort_order": 123,
"held": 123,
"remaining": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
